# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Summary:	Report on the status of a torrent
Name:		torrentsniff
Version:	0.3.0
Release:	11.%{__distinit}%{__distvers}
Group:		Applications/Internet
License:	MIT
URL:		http://www.highprogrammer.com/alan/perl/torrentsniff.html
Source:		http://www.highprogrammer.com/alan/perl/torrentsniff-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Digest::SHA1)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(Getopt::Long)
BuildRequires:	perl(lib)
BuildRequires:	perl(LWP::UserAgent)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
TorrentSniff is a command-line Perl program that reads a BitTorrent
.torrent file from the local filesystem or from a URL and reports on
the status of the torrent.

TorrentSniff is based on an early version of TorrentSpy (Version
0.1.0.3-BETA, specifically). TorrentSpy is much more advanced at this
point, but is Microsoft Windows only. For comparing various .torrents
to see which is best seeded (that is, which has the most full copies
available for download), TorrentSniff is good enough. 

%prep
%setup -q -n torrentsniff-%{version}
perl -pi -e 's/\r*$//;' torrentsniff

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{perl_vendorlib}/BitTorrent/
mkdir -p %{buildroot}%{_bindir}/
install -m 644 BitTorrent/BDecode.pm %{buildroot}%{perl_vendorlib}/BitTorrent
install -m 755 torrentsniff %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README* TODO
%{_bindir}/torrentsniff
%{perl_vendorlib}/BitTorrent/

%changelog
* Fri Jul 13 2012 Paul Howarth <paul@city-fan.org> 0.3.0-11
- BR: perl(base), perl(Carp), perl(Digest::SHA1), perl(Exporter),
  perl(Getopt::Long), perl(lib) and perl(LWP::UserAgent)
- Drop explicit perl(Exporter) requirement, now auto-detected
- Don't need to define %%{perl_vendorlib}

* Tue Aug  2 2011 Paul Howarth <paul@city-fan.org> 0.3.0-10
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> 0.3.0-9
- Rebuild for perl 5.12.1 in Rawhide

* Tue May 18 2010 Paul Howarth <paul@city-fan.org> 0.3.0-8
- Fix dist tag for RHEL-6 Beta

* Wed Feb 24 2010 Paul Howarth <paul@city-fan.org> 0.3.0-7
- Dist tag for Rawhide no longer needs special-casing

* Fri Aug 28 2009 Paul Howarth <paul@city-fan.org> 0.3.0-6
- Define RPM macros in global scope
- Add explicit dependency on perl(Exporter), called via "use base 'Exporter';"

* Tue Mar 20 2007 Paul Howarth <paul@city-fan.org> 0.3.0-5
- Fix dist tag for Fedora 7 onwards
- Add empty %%build section

* Wed Sep  6 2006 Paul Howarth <paul@city-fan.org> 0.3.0-4
- Fix distribution tags for development releases
- Remove %%__perl_version macro, used only once
- Define %%{__id_u} in a more portable way

* Tue Oct 18 2005 Paul Howarth <paul@city-fan.org> 0.3.0-3
- Rewrite spec in more Fedora Extras style
- Let rpm handle dependencies for us
- Fix directory ownership and permissions
- Fix script line endings

* Fri Apr 16 2004 Paul Howarth <paul@city-fan.org> 0.3.0-2
- Added explicit perl dependency to ensure that an RPM built on a
  system with an updated version of perl (and hence having files
  installed in a place that a non-updated system won't find them)
  will not install on the non-updated system. In such cases, just
  rebuild from the source RPM.
- Changed distribution-identifying macros for greater portability.

* Fri Feb 27 2004 Paul Howarth <paul@city-fan.org> 0.3.0-1
- Initial RPM build.
